// ConvertPatchInfoV1toV2Dlg.h : header file
//

#if !defined(AFX_CONVERTPATCHINFOV1TOV2DLG_H__77E476DB_A7A4_4992_A671_C0A2AF276EC8__INCLUDED_)
#define AFX_CONVERTPATCHINFOV1TOV2DLG_H__77E476DB_A7A4_4992_A671_C0A2AF276EC8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../PatchCommon/LogCtrl.h"


/////////////////////////////////////////////////////////////////////////////
// CConvertPatchInfoV1toV2Dlg dialog

class CConvertPatchInfoV1toV2Dlg : public CDialog
{
// Construction
public:
	CConvertPatchInfoV1toV2Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CConvertPatchInfoV1toV2Dlg)
	enum { IDD = IDD_CONVERTPATCHINFOV1TOV2_DIALOG };
	CEdit	m_editFilePath;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConvertPatchInfoV1toV2Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	CLogCtrl m_ctrlLogCtrl;

	// Generated message map functions
	//{{AFX_MSG(CConvertPatchInfoV1toV2Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonBrowse();
	afx_msg void OnButtonGo();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONVERTPATCHINFOV1TOV2DLG_H__77E476DB_A7A4_4992_A671_C0A2AF276EC8__INCLUDED_)
